# TODO
# - enable pam, see also https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533525 (1-2 solvable, 3 needs code)
#
# Conditional build:
%bcond_with	pam		# PAM authentication support (most likely incomplete)
%bcond_without	system_libtom	# use system libtommath/libtomcrypt

Summary:	Dropbear - a smallish ssh2 server
Summary(pl.UTF-8):	Dropbear - mały serwer ssh2
Name:		dropbear
Version:	2016.74
Release:	1
License:	MIT and BSD
Group:		Applications/Networking
Source0:	https://matt.ucc.asn.au/dropbear/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	9ad0172731e0f16623937804643b5bd8
URL:		https://matt.ucc.asn.au/dropbear/dropbear.html
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
%{?with_system_libtom:BuildRequires:	libtomcrypt-devel >= 1.17-2}
%{?with_pam:BuildRequires:     pam-devel}
BuildRequires:	zlib-devel
%{?with_system_libtom:Requires:	libtomcrypt >= 1.17-2}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is dropbear, a smallish and friendly ssh2 daemon.

It is currently usable though betaish, requiring work in certain areas
before use in a production environment. If you need a small sshd to
run on a 4 meg laptop, then sure, use it now. But test it thoroughly
before using it somewhere important :)

%description -l pl.UTF-8
To jest dropbear - mały i przyjazny demon ssh2.

Jest aktualnie używalny, choć jest w stanie beta, wymaga pracy w
niektórych obszarach przed użyciem w produkcyjnym środowisku. Jeśli
potrzebujemy małego sshd do uruchomienia na laptopie z 4MB pamięci,
można używać go już teraz. Ale przed używaniem do czegoś ważniejszego
trzeba go porządnie przetestować :)

%prep
%setup -q

%{?with_system_libtom:rm -r libtomcrypt libtommath}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	%{__enable_disable_not system_libtom bundled-libtom} \
	%{?with_pam:--enable-pam}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
%{__make} install \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES LICENSE README SMALL TODO
%{_sysconfdir}/%{name}
%attr(755,root,root) %{_bindir}/dbclient
%attr(755,root,root) %{_bindir}/dropbearconvert
%attr(755,root,root) %{_bindir}/dropbearkey
%attr(755,root,root) %{_sbindir}/dropbear
%{_mandir}/man1/dbclient.1*
%{_mandir}/man1/dropbearconvert.1*
%{_mandir}/man1/dropbearkey.1*
%{_mandir}/man8/dropbear.8*
%changelog
* Thu Sep 01 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dropbear.git;a=log;h=master

* Thu Sep 01 2016 Jakub Bogusz <qboosh@pld-linux.org> 7f72750
- updated to 2016.74

* Tue Dec 15 2015 Elan Ruusamäe <glen@delfi.ee> 8276af1
- up to 2015.71

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> bff92f9
- up to 2015.68

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 0da0a8d
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jan 29 2015 Elan Ruusamäe <glen@delfi.ee> 96bddea
- up to 2015.67

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> f0b10e2
- created PR https://github.com/mkj/dropbear/pull/10

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> a47cfb2
- libtomcrypt runtime dep

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> 56a0b34
- cleanups, preserve mtime

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> c43c706
- with system libtom needs tomcrypt enabled with tommath

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> a3183ad
- use system libtommath/libtomcrypt bcond

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> 06bf330
- up to 2014.66

* Sun Jan 25 2015 Elan Ruusamäe <glen@delfi.ee> 075a17e
- verbose files
- update pam todo notes, add bcond
- do not package *.c and *.o as man

* Fri Feb 25 2011 areq <areq@pld-linux.org> d86acc5
- 0.53

* Sun Sep 06 2009 areq <areq@pld-linux.org> a6081f8
- 0.52

* Thu May 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 56bd25d
- ac version

* Thu May 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 6acf9a3
- dropped bogus glib-gettextize and intltoolize calls

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d9e1d74
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3046c2b
- converted to UTF-8

* Sun Mar 12 2006 areq <areq@pld-linux.org> 91f1753
- 0.48.1

* Sat Dec 24 2005 Jakub Bogusz <qboosh@pld-linux.org> 8ff5d6e
- cleanup

